{{ $apiURL := printf "https://gitlab.com/api/v4/projects/%d/merge_requests?state=merged&per_page=100" site.Params.repoid }}
{{ if (getenv "HUGO_GITLAB_API_KEY") }}
{{ $apiURL := printf "https://gitlab.com/api/v4/projects/%d/merge_requests?private_token=%s&state=merged&per_page=100" site.Params.repoid (getenv "HUGO_GITLAB_API_KEY") }}
{{ end }}

{{ $remoteData := resources.GetRemote $apiURL }}

{{ with $remoteData }}
  {{ with .Err}}
    <h2>Unable to fetch MR Data</h2>
  {{ else }}

  {{ $data := . | transform.Unmarshal }}

  {{ $.Scratch.Set "lastdate" "2000-01-01T00:00:00.000Z"}}

  {{ $.Scratch.Set "first" true }}
  {{ range sort $data "merged_at" "desc" }}
  {{- if not .merged_at }}
    {{- continue }}
  {{- end }}
  {{ $lastdate := $.Scratch.Get "lastdate" }}

  {{ if ne (dateFormat "02 Jan 06" .merged_at) (dateFormat "02 Jan 06" $lastdate) }}

  {{ if not ($.Scratch.Get "first") }}
  </ul>
  {{ else }}
  {{ $.Scratch.Set "first" false }}
  {{ end }}
  <p class="h4">{{ dateFormat "2006-01-02" .merged_at }}</h2>
  <ul>
  {{ $.Scratch.Set "lastdate" .merged_at }}
  {{ end }}
      <li><a href="{{ .web_url }}">!{{ .iid }}</a> - {{ .title }}
      <input id="mr{{.iid}}" class="mr-data" value='{{jsonify .}}' type="hidden">
      </li>
  {{ end }}
  </table>
  {{ end }}
{{ end }}
